quickstep-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From phenyl-sphinx <...@git.apache.org>
Subject [GitHub] incubator-quickstep pull request #323: Temporary Build Support for OS X 10.1...
Date Fri, 10 Nov 2017 02:58:13 GMT
Github user phenyl-sphinx commented on a diff in the pull request:

    https://github.com/apache/incubator-quickstep/pull/323#discussion_r150144494
  
    --- Diff: CMakeLists.txt ---
    @@ -302,11 +302,11 @@ else()
         endif()
       endif()
     
    -  # OSX 10.12 has deprecated certain system-level APIs which causes protobuf & glog
    +  # OSX 10.12+ has deprecated certain system-level APIs which causes protobuf & glog
       # builds to fail. As a short-term workaround for now, we turn off deprecated
       # warnings so that they do not cause build failures anymore.
       # TODO: Remove this workaround by fixing the protobuf_cmake and glog_cmake.
    -  if (${CMAKE_SYSTEM} MATCHES "Darwin-16.[0-9]*.[0-9]*")
    +  if (${CMAKE_SYSTEM} MATCHES "Darwin-1[6-7]*.[0-9]*.[0-9]*")
    --- End diff --
    
    No. But either should be able to work.


---

Mime
View raw message